=== debian/changelog ===
prometheus-node-exporter (0.10.0+ds-3) unstable; urgency=medium

  * debian/postrm: Do remove log and pid files.
  * debian/init: Fix description.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Jul 2015 11:28:12 +0000

prometheus-node-exporter (0.10.0+ds-2) unstable; urgency=medium

  * debian/control: Update dependency name for prometheus/log.
  * debian/postrm: Do not remove directories forcefully, as these are shared
    with other prometheus tools.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Jul 2015 07:30:20 +0000

prometheus-node-exporter (0.10.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #790748)
  * The source has been repackaged to include two dependencies that do not
    deserve separate packages at this time: github.com/beevik/ntp and
    github.com/soundcloud/go-runit.

 -- Martín Ferrari <tincho@debian.org>  Mon, 06 Jul 2015 18:22:37 +0000
