=== debian/changelog ===
prometheus-node-exporter (0.11.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Thu, 03 Sep 2015 15:35:33 +0300
