## prometheus-node-exporter 0.12.0+ds+really0.12.0

=== debian/changelog ===
prometheus-node-exporter (0.12.0+ds+really0.12.0-2) unstable; urgency=medium

  * debian/watch: Take into account RCs and current version hack.
  * debian/control: Update dependencies and Vcs-* links.
  * debian/rules: Simplify with new dh_golang features; add version info.
  * Fix default configuration.
  * Add systemd service file.
  * Add logrotate script.
  * Enable the textfile collector by default.
  * Remove rotated logs and textfile directory on purge.

 -- Martín Ferrari <tincho@debian.org>  Thu, 30 Jun 2016 13:30:21 +0000

prometheus-node-exporter (0.12.0+ds+really0.12.0-1) unstable; urgency=medium

  * New upstream release, which is really 0.12.0. The previous version was
    actually 0.12.0rc1, but I made a mistake, hence the weird version number
    for this release. Closes: #814227.
  * Stop ignoring some configuration values in initscript. Thanks to
    contaminates@baconmail.net for the patch. Closes: #813544.
  * Remove now unneeded patches.
  * debian/control:
    - Add new dependencies.
    - Update Standards-Version with no changes.
  * debian/rules: Fix gen-orig-tgz target.

 -- Martín Ferrari <tincho@debian.org>  Fri, 06 May 2016 19:02:38 +0000

prometheus-node-exporter (0.12.0+ds-2) unstable; urgency=medium

  * Fix builds on arm64.

 -- Martín Ferrari <tincho@debian.org>  Mon, 25 Jan 2016 16:58:35 -0300

prometheus-node-exporter (0.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency on golang-github-kolo-xmlrpc-dev.
  * Add new dependency on golang-github-prometheus-common-dev, and update
    patches.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Jan 2016 19:29:42 +0000
