=== debian/control ===
--- 
+++ 
@@ -3,13 +3,18 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go,
- golang-github-prometheus-log-dev,
+Build-Depends: debhelper (>= 9.0.0), dh-golang (>= 1.17~), golang-any (>= 1.5~),
+ golang-dbus-dev,
+ golang-github-coreos-go-systemd-dev,
+ golang-github-kolo-xmlrpc-dev,
+ golang-github-prometheus-client-model-dev,
+ golang-github-prometheus-common-dev (>= 0+git20160504),
+ golang-golang-x-sys-dev,
  golang-goprotobuf-dev,
  golang-procfs-dev (>= 0+git20150616),
- golang-prometheus-client-dev,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-node-exporter.git
+ golang-prometheus-client-dev (>= 0.7.0+ds-3),
+Standards-Version: 3.9.8
+Vcs-Git: http://anonscm.debian.org/git/pkg-go/packages/prometheus-node-exporter.git/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus-node-exporter.git/
 Homepage: https://github.com/prometheus/node_exporter
