=== debian/changelog ===
prometheus-node-exporter (0.13.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Work around gccgo inability to handle vendor directory.
  * Fix build for arches not contemplated upstream.

 -- Martín Ferrari <tincho@debian.org>  Sat, 14 Jan 2017 05:38:44 -0300

prometheus-node-exporter (0.13.0~rc.2+ds-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * Actually use https for Vcs-Browser.
  * Filter out /(sys|proc|dev|run) filesystems by default.
  * debian/default: Add escapes in multiline variable. Closes: #840947.
  * debian/watch: Update with latest upstream versioning fmt.
  * New upstream release.
  * Update available parameters.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 17:28:35 +0000
