=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  golang-procfs-dev (>= 0+git20150616),
  golang-prometheus-client-dev (>= 0.7.0+ds-3),
 Standards-Version: 3.9.8
-Vcs-Git: http://anonscm.debian.org/git/pkg-go/packages/prometheus-node-exporter.git/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus-node-exporter.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-node-exporter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-node-exporter.git/
 Homepage: https://github.com/prometheus/node_exporter
 
 Package: prometheus-node-exporter
