## prometheus-node-exporter 0.14.0+ds

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,31 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO    := GO15VENDOREXPERIMENT=1 go
-PROMU := $(GOPATH)/bin/promu
-pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)
+GO     ?= GO15VENDOREXPERIMENT=1 go
+GOPATH := $(firstword $(subst :, ,$(GOPATH)))
+
+PROMU       ?= $(GOPATH)/bin/promu
+STATICCHECK ?= $(GOPATH)/bin/staticcheck
+pkgs         = $(shell $(GO) list ./... | grep -v /vendor/)
 
 PREFIX                  ?= $(shell pwd)
 BIN_DIR                 ?= $(shell pwd)
 DOCKER_IMAGE_NAME       ?= node-exporter
 DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
 
+ifeq ($(OS),Windows_NT)
+    OS_detected := Windows
+else
+    OS_detected := $(shell uname -s)
+endif
 
-all: format build test
+ifeq ($(OS_detected), Linux)
+    test-e2e := test-e2e
+else
+    test-e2e := skip-test-e2e
+endif
+
+all: format vet staticcheck build test $(test-e2e)
 
 style:
 	@echo ">> checking code style"
@@ -31,6 +45,13 @@
 	@echo ">> running tests"
 	@$(GO) test -short $(pkgs)
 
+test-e2e: build
+	@echo ">> running end-to-end tests"
+	./end-to-end-test.sh
+
+skip-test-e2e:
+	@echo ">> SKIP running end-to-end tests on $(OS_detected)"
+
 format:
 	@echo ">> formatting code"
 	@$(GO) fmt $(pkgs)
@@ -39,11 +60,15 @@
 	@echo ">> vetting code"
 	@$(GO) vet $(pkgs)
 
-build: promu
+staticcheck: $(STATICCHECK)
+	@echo ">> running staticcheck"
+	@$(STATICCHECK) $(pkgs)
+
+build: $(PROMU)
 	@echo ">> building binaries"
 	@$(PROMU) build --prefix $(PREFIX)
 
-tarball: promu
+tarball: $(PROMU)
 	@echo ">> building release tarball"
 	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)
 
@@ -51,10 +76,11 @@
 	@echo ">> building docker image"
 	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
 
-promu:
-	@GOOS=$(shell uname -s | tr A-Z a-z) \
-		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
-		$(GO) get -u github.com/prometheus/promu
+$(GOPATH)/bin/promu promu:
+	@GOOS= GOARCH= $(GO) get -u github.com/prometheus/promu
+
+$(GOPATH)/bin/staticcheck:
+	@GOOS= GOARCH= $(GO) get -u honnef.co/go/tools/cmd/staticcheck
 
 
-.PHONY: all style format build test vet tarball docker promu
+.PHONY: all style format build test test-e2e vet tarball docker promu staticcheck
