=== debian/changelog ===
prometheus-node-exporter (0.14.0+ds-3) unstable; urgency=medium

  * Fix problem introduced by the combination of two flags (nozfs and mips*).
  * Fix test timing issue in slow arches.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Aug 2017 11:34:09 +0000

prometheus-node-exporter (0.14.0+ds-2) unstable; urgency=medium

  * Add dh-systemd support. Closes: #866399.
  * Only depend on daemon if systemd-sysv is not installed. Closes: #870083.
  * Fix compilation on gccgo/mips*.
  * Fix integration test (wrong path under gccgo).
  * Disable the ZFS collector in 32-bit arches, until issue #629 is
    solved upstream.

 -- Martín Ferrari <tincho@debian.org>  Fri, 18 Aug 2017 09:36:40 +0000

prometheus-node-exporter (0.14.0+ds-1) unstable; urgency=medium

  * New upstream version. Closes: #867908.
  * Updated debian/copyright for vendored dependencies.
  * Add missing tests.
  * Update documentation, defaults file, examples.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Fix Vcs-* fields.
  * debian/control: Mark package as autopkgtest-able.
  * debian/control: Update dependency on procfs.
  * debian/gbp.conf: Add builder defaults.

 -- Martín Ferrari <tincho@debian.org>  Wed, 12 Jul 2017 00:54:52 +0000
