=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper (>= 9.0.0),
                dh-golang (>= 1.17~),
+               dh-systemd,
                golang-any (>= 1.5~),
                golang-dbus-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-kolo-xmlrpc-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20160504),
-               golang-golang-x-sys-dev (>= 0.0~git20170630),
+               golang-golang-x-sys-dev,
                golang-goprotobuf-dev,
                golang-procfs-dev (>= 0+git20170703),
                golang-prometheus-client-dev (>= 0.7.0+ds-3),
