=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
 GCCGO      := $(strip $(shell go version | grep gccgo))
-BUILDFLAGS := -ldflags \
+BUILDTAGS  :=
+BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
   " -X $(METAPKG)/version.Version=$(VERSION)\
     -X $(METAPKG)/version.Revision=$(REV)\
     -X $(METAPKG)/version.Branch=$(BRANCH)\
@@ -27,9 +28,18 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --with=golang,systemd \
+            --builddirectory=$(BUILDDIR)
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 
 ifneq ($(GCCGO),)
+# Workaround until #872402 is fixed.
+ifeq ($(findstring mips,$(DEB_HOST_ARCH)),mips)
+# mipsel => mipsle, mips64el => mips64le
+BUILDTAGS += $(DEB_HOST_ARCH:el=le)
+endif
 # Gccgo ignores vendoring.
 override_dh_auto_configure:
 	dh_auto_configure
@@ -42,12 +52,17 @@
         done
 endif
 
+# ZFS (or its tests) are not working in 32-bit arches.
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+BUILDTAGS += nozfs
+endif
+
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 
 override_dh_auto_test:
 	chmod a+x $(BUILDDIR)/src/$(DH_GOPKG)/collector/fixtures/megacli
-	dh_auto_test
+	dh_auto_test -- $(BUILDFLAGS)
 
 override_dh_auto_install:
 	mkdir -p debian/$(DEBPKGNAME)/usr/bin
@@ -56,9 +71,3 @@
             debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
 	cp -v debian/README.textfile \
             debian/$(DEBPKGNAME)/var/lib/prometheus/node-exporter
-
-gen-orig-tgz:
-	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
-            git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
-            upstream/$(VERSION) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
-	fi
