## prometheus-node-exporter 0.15.2%2Bds

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,9 @@
 # limitations under the License.
 
 GO     ?= GO15VENDOREXPERIMENT=1 go
-GOPATH := $(firstword $(subst :, ,$(GOPATH)))
+GOPATH := $(firstword $(subst :, ,$(shell $(GO) env GOPATH)))
+GOARCH := $(shell $(GO) env GOARCH)
+GOHOSTARCH := $(shell $(GO) env GOHOSTARCH)
 
 PROMU       ?= $(GOPATH)/bin/promu
 STATICCHECK ?= $(GOPATH)/bin/staticcheck
@@ -22,6 +24,13 @@
 BIN_DIR                 ?= $(shell pwd)
 DOCKER_IMAGE_NAME       ?= node-exporter
 DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))
+MACH                    ?= $(shell uname -m)
+DOCKERFILE              ?= Dockerfile
+
+ifeq ($(GOHOSTARCH),amd64)
+	# Only supported on amd64
+	test-flags := -race
+endif
 
 ifeq ($(OS),Windows_NT)
     OS_detected := Windows
@@ -35,17 +44,45 @@
     test-e2e := skip-test-e2e
 endif
 
-all: format vet staticcheck build test $(test-e2e)
+# 64bit -> 32bit mapping for cross-checking. At least for amd64/386, the 64bit CPU can execute 32bit code but not the other way around, so we don't support cross-testing upwards.
+cross-test = skip-test-32bit
+define goarch_pair
+	ifeq ($$(OS_detected),Linux)
+		ifeq ($$(GOARCH),$1)
+			GOARCH_CROSS = $2
+			cross-test = test-32bit
+		endif
+	endif
+endef
+
+# By default, "cross" test with ourselves to cover unknown pairings.
+$(eval $(call goarch_pair,amd64,386))
+$(eval $(call goarch_pair,arm64,arm))
+$(eval $(call goarch_pair,mips64,mips))
+$(eval $(call goarch_pair,mips64el,mipsel))
+
+all: format vet staticcheck build test $(cross-test) $(test-e2e)
 
 style:
 	@echo ">> checking code style"
 	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'
 
-test:
+test: collector/fixtures/sys/.unpacked
 	@echo ">> running tests"
-	@$(GO) test -short $(pkgs)
+	$(GO) test -short $(test-flags) $(pkgs)
 
-test-e2e: build
+test-32bit: collector/fixtures/sys/.unpacked
+	@echo ">> running tests in 32-bit mode"
+	@env GOARCH=$(GOARCH_CROSS) $(GO) test $(pkgs)
+
+skip-test-32bit:
+	@echo ">> SKIP running tests in 32-bit mode: not supported on $(OS_detected)/$(GOARCH)"
+
+collector/fixtures/sys/.unpacked: collector/fixtures/sys.ttar
+	./ttar -C collector/fixtures -x -f collector/fixtures/sys.ttar
+	touch $@
+
+test-e2e: build collector/fixtures/sys/.unpacked
 	@echo ">> running end-to-end tests"
 	./end-to-end-test.sh
 
@@ -73,8 +110,15 @@
 	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)
 
 docker:
-	@echo ">> building docker image"
-	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
+ifeq ($(MACH), ppc64le)
+	$(eval DOCKERFILE=Dockerfile.ppc64le)
+endif
+	@echo ">> building docker image from $(DOCKERFILE)"
+	@docker build --file $(DOCKERFILE) -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
+
+test-docker:
+	@echo ">> testing docker image"
+	./test_image.sh "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" 9100
 
 $(GOPATH)/bin/promu promu:
 	@GOOS= GOARCH= $(GO) get -u github.com/prometheus/promu
@@ -84,3 +128,9 @@
 
 
 .PHONY: all style format build test test-e2e vet tarball docker promu staticcheck
+
+# Declaring the binaries at their default locations as PHONY targets is a hack
+# to ensure the latest version is downloaded on every make execution.
+# If this is not desired, copy/symlink these binaries to a different path and
+# set the respective environment variables.
+.PHONY: $(GOPATH)/bin/promu $(GOPATH)/bin/staticcheck
