## prometheus-node-exporter 0.16.0+ds

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 GOARCH := $(shell $(GO) env GOARCH)
 GOHOSTARCH := $(shell $(GO) env GOHOSTARCH)
 
+PROMTOOL    ?= $(GOPATH)/bin/promtool
 PROMU       ?= $(GOPATH)/bin/promu
 STATICCHECK ?= $(GOPATH)/bin/staticcheck
 pkgs         = $(shell $(GO) list ./... | grep -v /vendor/)
@@ -27,10 +28,7 @@
 MACH                    ?= $(shell uname -m)
 DOCKERFILE              ?= Dockerfile
 
-ifeq ($(GOHOSTARCH),amd64)
-	# Only supported on amd64
-	test-flags := -race
-endif
+STATICCHECK_IGNORE =
 
 ifeq ($(OS),Windows_NT)
     OS_detected := Windows
@@ -38,10 +36,25 @@
     OS_detected := $(shell uname -s)
 endif
 
+ifeq ($(GOHOSTARCH),amd64)
+	ifeq ($(OS_detected),$(filter $(OS_detected),Linux FreeBSD Darwin Windows))
+                # Only supported on amd64
+                test-flags := -race
+        endif
+endif
+
 ifeq ($(OS_detected), Linux)
     test-e2e := test-e2e
 else
     test-e2e := skip-test-e2e
+endif
+
+e2e-out = collector/fixtures/e2e-output.txt
+ifeq ($(MACH), ppc64le)
+	e2e-out = collector/fixtures/e2e-64k-page-output.txt
+endif
+ifeq ($(MACH), aarch64)
+	e2e-out = collector/fixtures/e2e-64k-page-output.txt
 endif
 
 # 64bit -> 32bit mapping for cross-checking. At least for amd64/386, the 64bit CPU can execute 32bit code but not the other way around, so we don't support cross-testing upwards.
@@ -57,11 +70,10 @@
 
 # By default, "cross" test with ourselves to cover unknown pairings.
 $(eval $(call goarch_pair,amd64,386))
-$(eval $(call goarch_pair,arm64,arm))
 $(eval $(call goarch_pair,mips64,mips))
 $(eval $(call goarch_pair,mips64el,mipsel))
 
-all: format vet staticcheck build test $(cross-test) $(test-e2e)
+all: style vet staticcheck checkmetrics build test $(cross-test) $(test-e2e)
 
 style:
 	@echo ">> checking code style"
@@ -79,6 +91,8 @@
 	@echo ">> SKIP running tests in 32-bit mode: not supported on $(OS_detected)/$(GOARCH)"
 
 collector/fixtures/sys/.unpacked: collector/fixtures/sys.ttar
+	@echo ">> extracting sysfs fixtures"
+	if [ -d collector/fixtures/sys ] ; then rm -r collector/fixtures/sys ; fi
 	./ttar -C collector/fixtures -x -f collector/fixtures/sys.ttar
 	touch $@
 
@@ -88,6 +102,10 @@
 
 skip-test-e2e:
 	@echo ">> SKIP running end-to-end tests on $(OS_detected)"
+
+checkmetrics: $(PROMTOOL)
+	@echo ">> checking metrics for correctness"
+	./checkmetrics.sh $(PROMTOOL) $(e2e-out)
 
 format:
 	@echo ">> formatting code"
@@ -99,7 +117,7 @@
 
 staticcheck: $(STATICCHECK)
 	@echo ">> running staticcheck"
-	@$(STATICCHECK) $(pkgs)
+	@$(STATICCHECK) -ignore "$(STATICCHECK_IGNORE)" $(pkgs)
 
 build: $(PROMU)
 	@echo ">> building binaries"
@@ -120,6 +138,9 @@
 	@echo ">> testing docker image"
 	./test_image.sh "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" 9100
 
+$(GOPATH)/bin/promtool promtool:
+	@GOOS= GOARCH= $(GO) get -u github.com/prometheus/prometheus/cmd/promtool
+
 $(GOPATH)/bin/promu promu:
 	@GOOS= GOARCH= $(GO) get -u github.com/prometheus/promu
 
@@ -127,10 +148,10 @@
 	@GOOS= GOARCH= $(GO) get -u honnef.co/go/tools/cmd/staticcheck
 
 
-.PHONY: all style format build test test-e2e vet tarball docker promu staticcheck
+.PHONY: all style format build test test-e2e vet tarball docker promtool promu staticcheck checkmetrics
 
 # Declaring the binaries at their default locations as PHONY targets is a hack
 # to ensure the latest version is downloaded on every make execution.
 # If this is not desired, copy/symlink these binaries to a different path and
 # set the respective environment variables.
-.PHONY: $(GOPATH)/bin/promu $(GOPATH)/bin/staticcheck
+.PHONY: $(GOPATH)/bin/promtool $(GOPATH)/bin/promu $(GOPATH)/bin/staticcheck
