=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang (>= 1.17~),
                golang-any,
                golang-dbus-dev,
@@ -13,13 +13,13 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20171117),
-               golang-golang-x-sys-dev,
+               golang-golang-x-sys-dev (>= 0.0~git20170630),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-goprotobuf-dev,
-               golang-procfs-dev (>= 0+git20170703),
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-node-exporter.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-node-exporter.git
+               golang-procfs-dev (>= 0+git20180613),
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
+Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git
 Homepage: https://github.com/prometheus/node_exporter
 XS-Go-Import-Path: github.com/prometheus/node_exporter
