=== debian/changelog ===
prometheus-node-exporter (0.17.0+ds-3) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload
  * Ship a systemd service for the mellanox_hca_temp collector
  * Ship a systemd service for the ipmitool sensor collector
  * Drop python from Recommends (All text collector script use Python 3 now)
  * Bump Standards-Version to 4.3.0 (no changes required)

  [ Martín Ferrari ]
  * Set TMPDIR so textfiles are created atomically. Closes: #920827.
  * Recommend dbus, as the systemd collector does not work without it.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 31 Jan 2019 18:33:42 +0100

prometheus-node-exporter (0.17.0+ds-2) unstable; urgency=medium

  * Use alternative solution for #916236, cherry-picked from upstream;
    thanks to Andre Heider for the patch.

 -- Martín Ferrari <tincho@debian.org>  Fri, 14 Dec 2018 14:09:27 +0000

prometheus-node-exporter (0.17.0+ds-1) unstable; urgency=medium

  [ Philipp Kern ]
  * Ship a systemd service for the apt text collector. apt is checked for
    pending reboots and updated packages every 15 minutes.

  [ Martín Ferrari ]
  * New upstream release.
  * Refresh patches.
  * Update procfs dependency.
  * Avoid waking up disks unnecessarily. Closes: #916055

 -- Martín Ferrari <tincho@debian.org>  Thu, 13 Dec 2018 23:39:17 +0000

prometheus-node-exporter (0.16.0+ds-2) unstable; urgency=medium

  [ Philipp Kern ]
  * Add a stricter dependency on golang-github-prometheus-client-golang-
    dev.
  * Ship the YAML-based example rules instead of the old-style ones.
  * Install the text collector examples as scripts into /usr/share/$pkg.
    Closes: #910865
  * Ship a systemd service for the smartmon text collector. smartmon is
    invoked using a systemd timer every 15 minutes, if smartmontools is
    installed.
  * Enable the systemd collector by default.
  * Blacklist devices, slices, and targets by default in systemd
    collector.

  [ Martín Ferrari ]
  * Ignore /mnt and /media by default. Closes: #908811
  * debian/default: Update flag documentation.
  * debian/control: Add python and python3 to Recommends, for collector
    scripts.
  * debian/rules: Check DEB_BUILD_OPTIONS before running tests.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 15 Oct 2018 16:25:37 +0000
