=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                golang-dbus-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-kolo-xmlrpc-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20171117),
                golang-golang-x-sys-dev (>= 0.0~git20170630),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-goprotobuf-dev,
-               golang-procfs-dev (>= 0+git20180613),
-Standards-Version: 4.1.4
+               golang-procfs-dev (>= 0+git20181004),
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git
 Homepage: https://github.com/prometheus/node_exporter
@@ -26,8 +26,12 @@
 Package: prometheus-node-exporter
 Architecture: any
 Depends: daemon | systemd-sysv,
+         moreutils,
          ${misc:Depends},
          ${shlibs:Depends},
+Recommends: dbus,
+            python3,
+            smartmontools,
 Built-Using: ${misc:Built-Using},
 Description: Prometheus exporter for machine metrics
  Prometheus exporter for machine metrics, written in Go with pluggable metric
