=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,31 @@
 	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(CURDIR)/ttar -C $(BUILDDIR)/src/$(DH_GOPKG)/collector/fixtures \
             -x -f collector/fixtures/sys.ttar
 	dh_auto_test -- $(BUILDFLAGS)
+endif
+
+override_dh_installsystemd:
+	dh_installsystemd
+	dh_installsystemd --name=prometheus-node-exporter-smartmon \
+		prometheus-node-exporter-smartmon.timer
+	dh_installsystemd --name==prometheus-node-exporter-smartmon \
+		--no-start \
+		prometheus-node-exporter-smartmon.service
+	dh_installsystemd --name=prometheus-node-exporter-apt \
+		prometheus-node-exporter-apt.timer
+	dh_installsystemd --name=prometheus-node-exporter-apt \
+		--no-start \
+		prometheus-node-exporter-apt.service
+	dh_installsystemd --name=prometheus-node-exporter-ipmitool-sensor \
+		prometheus-node-exporter-ipmitool-sensor.timer
+	dh_installsystemd --name=prometheus-node-exporter-ipmitool-sensor \
+		--no-start prometheus-node-exporter-ipmitool-sensor.service
+	dh_installsystemd --name=prometheus-node-exporter-mellanox-hca-temp \
+		prometheus-node-exporter-mellanox-hca-temp.timer
+	dh_installsystemd --name=prometheus-node-exporter-mellanox-hca-temp \
+		--no-start prometheus-node-exporter-mellanox-hca-temp.service
 
 override_dh_auto_install:
